Docs
Product Repository APICustomer Specific Assignment Rule

Create a new customer specific assignment ruleBeta

Security groups:Rule Engineers
POST
/assignments/csars

Creates a customer specific assignment rule by pairing a saved filter with a customs classification code. Exactly one of taricCode, taresCode, or ukgtCode must be provided.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/assignments/csars" \  -H "Content-Type: application/json" \  -d '{    "name": "UKGT Salad Rule",    "description": "Assigns UKGT code to products tagged as \\"Salad\\" or \\"Tomato\\" and with green veggie color",    "code": {      "ukgt": "UKGT-4567"    },    "filterId": "84f4a96f-b135-4af2-858b-17327b631047"  }'
Empty
{
  "code": "BadRequest",
  "message": "Bad request.",
  "status": "BAD_REQUEST"
}
{
  "code": "Unauthorized",
  "message": "Not authorized.",
  "status": "UNAUTHORIZED"
}
{
  "code": "Forbidden",
  "message": "API key no longer has access to the account, or their user level doesn’t allow access to the endpoint.",
  "status": "FORBIDDEN"
}
{
  "status": "CONFLICT",
  "code": "CONFLICT_ENTITY_MODIFIED",
  "message": "Conflict.",
  "timestamp": "2024-06-21T12:36:37.900574",
  "path": "/path"
}
{
  "code": "PAYLOAD_TOO_LARGE",
  "message": "Request body too large.",
  "status": "PAYLOAD_TOO_LARGE",
  "timestamp": "2024-06-21T12:36:37.900574"
}